Bug 19367 - Plugins are drawn over the scrollbars
Summary: Plugins are drawn over the scrollbars
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit Qt (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC Linux
: P2 Normal
Assignee: marcoil
URL: http://www.radio-canada.ca/nouvelles/
Keywords: Qt
Depends on:
Blocks:
 
Reported: 2008-06-02 20:54 PDT by Pierre-Luc Beaudoin
Modified: 2009-05-25 08:57 PDT (History)
3 users (show)

See Also:


Attachments
Fixes the bug for r34498 (1.25 KB, patch)
2008-06-11 13:57 PDT, marcoil
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pierre-Luc Beaudoin 2008-06-02 20:54:34 PDT
On this page, when resizing the window so that scrollbars overlap the flash content or ads, the flash content gets painted over the scrollbars.

Also verified on the Gtk port: not affected.
Comment 1 marcoil 2008-06-11 13:57:34 PDT
Created attachment 21643 [details]
Fixes the bug for r34498

This patch fixes the issue clipping the embedded plugin window.
Comment 2 Simon Hausmann 2008-06-13 05:52:59 PDT
Comment on attachment 21643 [details]
Fixes the bug for r34498

Nice trick :), looks good to me.
Comment 3 Simon Hausmann 2008-06-13 05:53:17 PDT
Landed in r34519
Comment 4 marcoil 2008-06-13 08:19:13 PDT
Reopening the bug as it's still present when the plugin is a native QWidget.

I think there's two ways we could go fixing this:
1) Move the clipping handling up to WidgetQt. In this case we could also get rid of PluginView::m_window, as it's just a copy of WidgetPrivate::m_widget.
2) Move the native QWidget plugin support down from WidgetQt to PluginView. Now that we have NPAPI plugin support we could also move it all to an external plugin.

Opinions?
Comment 5 Mark Rowe (bdash) 2008-06-22 18:23:44 PDT
Comment on attachment 21643 [details]
Fixes the bug for r34498

Clearing review since the patch was landed.
Comment 6 Simon Hausmann 2008-11-20 04:46:08 PST
I believe Tor Arne fixed this one in r38560